package ledger

import "testing"

func TestGroup(t *testing.T) {
	if got := GroupDate("^20..")(Delta{Date: "2021-01"}); got.Date != "2021" {
		t.Error(got)
	}

	if got := GroupName("^[^:]*")(Delta{Name: "a:b:c"}); got.Name != "a" {
		t.Error(got)
	}
}
